## org.apache.aries.subsystem.obr.internal
Class FelixProperty

    java.lang.Object
      org.apache.aries.subsystem.obr.internal.FelixProperty

All Implemented Interfaces:
  org.apache.felix.bundlerepository.Property

    public class FelixProperty

extends Object
implements org.apache.felix.bundlerepository.Property

Field Summary

Fields inherited from interface org.apache.felix.bundlerepository.Property
`DOUBLE, LONG, SET, URI, URL, VERSION`

Constructor Summary
`FelixProperty(Map.Entry<String,Object> entry)`
`FelixProperty(String name, Object value)`

Method Summary
`Object` `getConvertedValue()`
`String` `getName()`
`String` `getType()`
`String` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FelixProperty

    public FelixProperty(String name,
                         Object value)

### FelixProperty

    public FelixProperty(Map.Entry<String,Object> entry)

Method Detail

### getConvertedValue

    public Object getConvertedValue()

  Specified by:
    `getConvertedValue` in interface `org.apache.felix.bundlerepository.Property`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.apache.felix.bundlerepository.Property`

### getType

    public String getType()

  Specified by:
    `getType` in interface `org.apache.felix.bundlerepository.Property`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `org.apache.felix.bundlerepository.Property`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.